# věty

from rules import Rules
from .cz_verbals import verbals_with_constituents

# indikativní věty mají na začátku (už povinný) konstituent (a za klitiky zase
# nepovinné)
indicative_clauses_initial = verbals_with_constituents.insert_into_all(
    '(CONSTITUENT) (CONSTITUENTS)', before=True)
indicative_clauses = indicative_clauses_initial + verbals_with_constituents

# všechny věty mohou mít klitika a interpozice, ale pozor, vedlejší už spíš
# ne před podřadícím výrazem (a ani tečku), takže je nebudu míchat
terminated_indicative_clauses = indicative_clauses.insert_into_all(
    '(CLITICS)', position=1).insert_into_all(
    '(INTER)', before=True, inside=True, after=True).insert_into_all(
    '(OPT_FULLSTOP)', after=True)

# vůbec nemám tázací věty a vlastně ani přací (s částicí v iniciální pozici)
clauses = terminated_indicative_clauses
rules = clauses

# Nemít žádné kamarády, tomu já říkám neštěstí.
# – brát verbální frázi v preiniciální pozici jako součást té další? blbost
# – vedlejší možná…
# – ale stejně i ta by mohla bejt jako samostatná – a pak si hrajme s anaforama

# Učím Petra angličtinu (akuzativ životný a neživotný)
# Petr půjčil Pavlovi knihu
# Kočka se dychtivě napila
# T0D0: dá se udělat m="[^F]" a zároveň kopírovat modus do CLAUSE?
# '(CLAUSE e g n a) → (MODAL m="[^F]") (k=5 e g n a m=F)',
# lepší je parametrizovat až (CLAUSE m=[^F])

# Chtěli obědvat až po nás
# Naši nechtěli ani obědvat
# Chtěli [jsme tam] jít, ale nakonec [jsme si to] rozmysleli.
# (NP) → (k=3 x=D) (NP)

# JEN PRO ÚČELY PREZENTACE:
# rules = insert_gradually_into_rules(verbals, '(NP c=4)')

# – ten generátor bude muset upravovat obě strany pravidla
# – přidá třeba OBJ_ACC a OBJ_ACC2/EXTRA (víc jich nečekám):
#   (VP OBJ_ACC OBJ_ACC2) → (k=5 m="[^F]") (OBJ_ACC)        (OBJ_ACC2)
#                               učím     Petra (+ANIM)   angličtinu (−ANIM)
# – životnost bohužel u ženskýho rodu nevím, to je pěkně blbý
#   musela by se brát z WordNetu, majka to prostě mít nebude

# Petr (bude) ten úkol (muset) nejspíš (odevzdat) až příští měsíc
# [Petr] ten úkol (bude) nejspíš (muset) hodně rychle (odevzdat) tomu učiteli
