# TODO: váhy pravidel kvůli řazení stromů
from itertools import chain

from rules import Rules
from .cz_adverbials import adverbials
from .cz_attributive_clauses import attributive_clauses, relatives
from .cz_clauses import clauses
from .cz_clitics import clitics
from .cz_constituents import constituent, constituents
from .cz_coordinations import coordinations
from .cz_interpositions import interpositions
from .cz_nominals import nominals
from .cz_punctuation import punctuation
from .cz_subordinate_clauses import subordinate_clauses, subordinators
# TODO: osamostatnit opravdové verbální fráze = infinitives?
from .cz_verbals import modals, infinitives


rules = Rules(chain.from_iterable((
    clauses, modals, constituent, constituents, nominals, clitics, adverbials,
    coordinations, attributive_clauses, subordinate_clauses, infinitives,
    relatives, subordinators, interpositions, punctuation)))


# Eva Mráková – disertační práce
# „Parciální syntaktická analýza češtiny“ (2002)
# parciální analyzátor, DCG, VP
# neprojektivní konstrukce
# (malý jsme měli stan)
# on by [se ti na to] podíval
# budu + inf, jsem + -l
# gaps (přetržky)
# > 20 % analytických, přetržených VP
# CLAUSE → V[fin]
# CLAUSE → V[modální]
